#include "hmg.ch"

PROCEDURE Main()

   nFirmCode := 5
   
   DEFINE WINDOW winMain ;
      AT 0, 0 ;
      WIDTH 500 ;
      HEIGHT 700 ;
      TITLE "Testing Software";
      MAIN 
      
      ON KEY ESCAPE OF winMain ACTION ThisWindow.Release()
      
      DEFINE MAIN MENU
        POPUP "Firm"
            ITEM "Create New Firm"  ACTION CompAdd()
            ITEM "Edit Firm"        ACTION CompEdit()
            ITEM "Delete Firm"      ACTION CompDele()
            ITEM "Backup Firm Data"  ACTION BackUpData()
            ITEM "Restore Firm Data" ACTION RestoreData()
            SEPARATOR
            ITEM "Exit" Action MsgInfo("Exit")
        END POPUP
         @ 10, 200 LABEL   lblCompNo VALUE 'Enter Company No : ' 
         @ 10, 340 TEXTBOX txbCompNo VALUE 5 NUMERIC MAXLENGTH 4
       END MENU
       
   END WINDOW
      
    winMain.Center()
    winMain.Activate()
   
RETURN // Main()

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.

FUNCTION CompSele()
   LOCAL lFound := .T.
   nFirmCode := winMain.txbCompNo.Value
   * Firm code verification ( fe SEEK ) will come here
RETURN lFound // CompSele()   

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.

PROCEDURE CompAdd()
   IF CompSele()
      MsgStop( "Company no " + LTRIM( STR( nFirmCode ) ) + " already added !", "ERROR !" )
   ELSE
      MsgInfo( "Company no " + LTRIM( STR( nFirmCode ) ) + " will be added." )
   ENDIF   
RETURN // CompEdit()   

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.

PROCEDURE CompEdit()
   IF CompSele()
      MsgInfo( "Company no " + LTRIM( STR( nFirmCode ) ) + " will edit." )
   ELSE   
      MsgStop( "Company no " + LTRIM( STR( nFirmCode ) ) + " not found !", "ERROR !" )
   ENDIF   
RETURN // CompEdit()   

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.

PROCEDURE BackUpData()

   IF CompSele()
      MsgInfo( "Data of Company no " + LTRIM( STR( nFirmCode ) ) + " will back-up" )
   ELSE   
      MsgStop( "Company no " + LTRIM( STR( nFirmCode ) ) + " not found !", "ERROR !" )
   ENDIF   
      
RETURN // BackUpData()   

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.

PROCEDURE RestoreData()   

   IF CompSele()
      MsgInfo( "Data of Company no " + LTRIM( STR( nFirmCode ) ) + " will restore" )
   ELSE   
      MsgStop( "Company no " + LTRIM( STR( nFirmCode ) ) + " not found !", "ERROR !" )
   ENDIF   
      
RETURN // RestoreData()   

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.

PROCEDURE CompDele()

   IF CompSele()
      MsgInfo( "Company no " + LTRIM( STR( nFirmCode ) ) + " will be deleted" )
   ELSE   
      MsgStop( "Company no " + LTRIM( STR( nFirmCode ) ) + " not found !", "ERROR !" )
   ENDIF         
   
RETURN // CompDele()   

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.

